/* -*- Mode: Java; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* ***** BEGIN LICENSE BLOCK *****
 * Version: NPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Netscape Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is mozilla.org code.
 *
 * The Initial Developer of the Original Code is 
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1998
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s): Daniel S. Keller of Proect Destiny Studios(tm)
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or 
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the NPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the NPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */


///////////////////////////////////////////////////////////////////////////////
// This is the default preferences file defining the behavior for hosting
// ActiveX controls in Gecko embedded applications. Embedders should override
// this file to set their own policy.
///////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////////////
// General hosting flags settings. Read nsIActiveXSecurityPolicy.idl in
// http://lxr.mozilla.org/seamonkey/find?string=nsIActiveXSecurityPolicy.idl
// for more combinations.
//
// Briefly,
//
//   0 means no hosting of activex controls whatsoever
//   13 means medium settings (safe for scripting controls and download / install)
//   31 means host anything (extremely dangerous!)
//

pref("security.xpconnect.activex.global.hosting_flags", 13);


///////////////////////////////////////////////////////////////////////////////
// Whitelist / Blacklist capabilities
//
// The whitelist and blacklist settings define what controls Gecko will host
// and the default allow / deny behavior.
//
//   Note 1:
//
//   The hosting flags pref value above takes priority over settings below.
//   Therefore if the hosting flags are set to 0 (i.e. host nothing) then
//   no control will be hosted no matter what controls are enabled. Likewise, 
//   If safe for scripting checks are (wisely) enabled, no unsafe control
//   will be hosted even if it is explicitly enabled below.
//
//
//   Note 2:
//
//   Gecko always reads the IE browser's control blacklist if one is defined
//   in the registry. This is to ensure any control identified by Microsoft
//   or others as unsafe is not hosted without requiring it to be explicitly
//   listed here also.
//   


///////////////////////////////////////////////////////////////////////////////
// This pref sets the default policy to allow all controls or deny them all
// default. If the value is false, only controls explicitly enabled by their
// classid will be allowed. Otherwise all controls are allowed except those
// explicitly disabled by their classid.
//
// If you are writing an embedding application that only needs to run
// certain known controls, (e.g. an intranet control of some kind) you are
// advised to use the false value and enable the control explicitly.

// pref("security.classID.allowByDefault", true);


///////////////////////////////////////////////////////////////////////////////
// Specify below the controls that should be explicitly enabled or disabled.
// This is achieved by writing a policy rule, specifiying the classid of the
// control and giving the control "AllAccess" or "NoAccess".
//
// CIDaaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee
//
// You could explicitly ban a control (using the appropriate classid) like this
//
// pref("capability.policy.default.ClassID.CID039ef260-2a0d-11d5-90a7-0010a4e73d9a", "NoAccess");
//
// If you want to explicity enable a control then do this:
//
// pref("capability.policy.default.ClassID.CID039ef260-2a0d-11d5-90a7-0010a4e73d9a", "AllAccess");
//
// If you want to explicitly ban or allow a control for one or more sites then
// you can create a policy for those sites. This example creates a domain
// called 'trustable' containing sites where you allow an additional control
// to be hosted.:
//
// user_pref("capability.policy.policynames", "trustable");
// user_pref("capability.policy.trustable.sites", "http://www.site1.net http://www.site2.net");
// user_pref("capability.policy.trustable.ClassID.CID039ef260-2a0d-11d5-90a7-0010a4e73d9a", "AllAccess");
//



// The following code has been modified by Daniel S. Keller of Project Destiny Studios
// The modifications were made on January 14, 2007
// *** Begin Modifications ***

pref("security.classID.allowByDefault", false);

// Microsoft Agent Core Components 2.0
pref("capability.policy.default.ClassID.CIDD45FD31B-5C6E-11D1-9EC1-00C04FD7081F", "AllAccess");

// SAPI 4.0 Runtime Binaries
pref("capability.policy.default.ClassID.CID0C7F3F20-8BAB-11d2-9432-00C04F8EF48F", "AllAccess");

// Microsoft Speech Recognition Engine
pref("capability.policy.default.ClassID.CID161FA781-A52C-11d0-8D7C-00A0C9034A7E", "AllAccess");

// Microsoft Language Components
pref("capability.policy.default.ClassID.CIDC3480401-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC348042D-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC348041A-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC3480405-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC3480406-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC3480413-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC348040B-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC348040C-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC3480407-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC3480408-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC348040D-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC348040E-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC3480410-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC3480411-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC3480412-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC3480414-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC3480415-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC3480816-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC3480416-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC3480418-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC3480419-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC3480804-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC348041B-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC3480424-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC3480C0A-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC348041D-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC348041E-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC3480404-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");
pref("capability.policy.default.ClassID.CIDC348041F-A7F8-11D1-AA75-00C04FA34D72", "AllAccess");

// Lernout & Hauspie TruVoice Text-To-Speech Engine for American English

pref("capability.policy.default.ClassID.CIDB8F2846E-CE36-11D0-AC83-00C04FD97575", "AllAccess");

// Lernout & Hauspie TTS3000 Text-To-Speech Engines

pref("capability.policy.default.ClassID.CID1D87F5B2-05F1-11D2-AD7C-0000F8799342", "AllAccess");
pref("capability.policy.default.ClassID.CID1D87F5B3-05F1-11D2-AD7C-0000F8799342", "AllAccess");
pref("capability.policy.default.ClassID.CID1D87F5B4-05F1-11D2-AD7C-0000F8799342", "AllAccess");
pref("capability.policy.default.ClassID.CID1D87F5B5-05F1-11D2-AD7C-0000F8799342", "AllAccess");
pref("capability.policy.default.ClassID.CID1D87F5B6-05F1-11D2-AD7C-0000F8799342", "AllAccess");
pref("capability.policy.default.ClassID.CID1D87F5B7-05F1-11D2-AD7C-0000F8799342", "AllAccess");
pref("capability.policy.default.ClassID.CID1D87F5B8-05F1-11D2-AD7C-0000F8799342", "AllAccess");
pref("capability.policy.default.ClassID.CID1D87F5BA-05F1-11D2-AD7C-0000F8799342", "AllAccess");
pref("capability.policy.default.ClassID.CID1D87F5BB-05F1-11D2-AD7C-0000F8799342", "AllAccess");
pref("capability.policy.default.ClassID.CID1D87F5B9-05F1-11D2-AD7C-0000F8799342", "AllAccess");

// Windows Media Player 7 Series and Later

pref("capability.policy.default.ClassID.CID6BF52A52-394A-11d3-B153-00C04F79FAA6", "AllAccess");

// Windows Media Player 6.4

pref("capability.policy.default.ClassID.CID22D6F312-B0F6-11D0-94AB-0080C74C7E95", "AllAccess");

// Windows Media Player 6.0

pref("capability.policy.default.ClassID.CID05589FA1-C356-11CE-BF01-00AA0055595A", "AllAccess");

// *** End Modifications ***



pref("general.useragent.vendorComment", "ax");
